import animatedobject

def init(world):
#	world.addTrigger('test','F',"dummy",('destination'),world.triggerTile)
#	world.addTrigger('test2','F',"dummy",('destination'),world.triggerTile)

#	world.addTrigger('test','E',"teleport",('test2','F'),world.triggerTile)
#	world.addTrigger('test2','E',"teleport",('test','F'),world.triggerTile)

#	world.addTrigger('test','T',"teleport",('AF', 'T'),world.triggerTile)
#	world.addTrigger('AF','T',"dummy",('dest'),world.triggerTile)

	world.addTrigger('AA','a',"dummy",('dest'),world.triggerTile)
	world.addTrigger('AB','b',"dummy",('dest'),world.triggerTile)
	world.addTrigger('AC','c',"dummy",('dest'),world.triggerTile)
	world.addTrigger('AD','d',"dummy",('dest'),world.triggerTile)
	world.addTrigger('AG','g',"dummy",('dest'),world.triggerTile)
	world.addTrigger('AH','h',"dummy",('dest'),world.triggerTile)
	world.addTrigger('AI','i',"dummy",('dest'),world.triggerTile)
	world.addTrigger('AJ','j',"dummy",('dest'),world.triggerTile)

	world.addTrigger('AF','a',"dummy",('dest'),world.triggerTile)
	world.addTrigger('AF','b',"dummy",('dest'),world.triggerTile)
	world.addTrigger('AF','c',"dummy",('dest'),world.triggerTile)
	world.addTrigger('AF','d',"dummy",('dest'),world.triggerTile)
	world.addTrigger('AF','g',"dummy",('dest'),world.triggerTile)
	world.addTrigger('AF','h',"dummy",('dest'),world.triggerTile)
	world.addTrigger('AF','i',"dummy",('dest'),world.triggerTile)
	world.addTrigger('AF','j',"dummy",('dest'),world.triggerTile)
	
	world.addTrigger('AF','A',"teleport",('AA','a'),world.triggerTile)
	world.addTrigger('AF','B',"teleport",('AB','b'),world.triggerTile)
	world.addTrigger('AF','C',"teleport",('AC','c'),world.triggerTile)
	world.addTrigger('AF','D',"teleport",('AD','d'),world.triggerTile)
	world.addTrigger('AF','G',"teleport",('AG','g'),world.triggerTile)
	world.addTrigger('AF','H',"teleport",('AH','h'),world.triggerTile)
	world.addTrigger('AF','I',"teleport",('AI','i'),world.triggerTile)
	world.addTrigger('AF','J',"teleport",('AJ','j'),world.triggerTile)

	world.addTrigger('AA','A',"teleport",('AF','a'),world.triggerTile)
	world.addTrigger('AB','B',"teleport",('AF','b'),world.triggerTile)
	world.addTrigger('AC','C',"teleport",('AF','c'),world.triggerTile)
	world.addTrigger('AD','D',"teleport",('AF','d'),world.triggerTile)
	world.addTrigger('AG','G',"teleport",('AF','g'),world.triggerTile)
	world.addTrigger('AH','H',"teleport",('AF','h'),world.triggerTile)
	world.addTrigger('AI','I',"teleport",('AF','i'),world.triggerTile)
	world.addTrigger('AJ','J',"teleport",('AF','j'),world.triggerTile)

	# Create and place objects
	uobj = {}
	oobj = [('chip','AA', 'c'),('candle','AA','d'),('bomb','AA','b'),('key','AA','k'),('floppy','AA','f')]	
	for o,le,ch in oobj:
		uobj[o] = animatedobject.AnimatedObject()
		uobj[o].objectName = o
		uobj[o].setAnimation('still',1000)
		uobj[o].sizex = 0.6
		uobj[o].sizey = 0.6
		uobj[o].visible = True
		uobj[o].offset = (0.7,0.4)
	
		x,y = world.levels[le].triggers[ch][0]
		uobj[o].setPos(x,y)
		world.levels[le].objects.append(uobj[o])
		world.addTrigger(le,ch,"getObject",(o,le,ch),world.triggerTile)

	world.uobj = uobj

def getObject(world,args):
	obj, lev, trig = args
	print "Got" + obj
	world.triggers.pop((lev, world.levels[lev].triggers[trig][0])) 
	world.uobj[obj].visible = False
	world.addToInventory(obj)

def teleport(world,args):
	dlevel,dspot = args
	dest = world.levels[dlevel].triggers.get(dspot)
	(x,y) = dest[-1]
	world.currentLevel = dlevel
	world.player.posx = x+0.5
	world.player.posy = y+0.5
	print (dlevel,dspot)
	 

def dummy(world,args):
	print args
